felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Richard S. Hall" <he...@ungoverned.org>
Subject Re: obr:deploy and bundle versions
Date Wed, 06 Nov 2013 17:37:31 GMT
This is a known issue between how Maven interprets the -SNAPSHOT 
qualifier and how OSGi interprets version qualifiers. For Maven, the 
-SNAPSHOT qualifier is less that the actual version specified, but for 
OSGi qualifiers are just sorted so a qualified version is greater (i.e., 
newer) than an unqualified version.

-> richard

On 11/6/13, 11:48 , Benoît Thiébault wrote:
> Hi,
>
> I have been playing with OSGi bundle repositories lately and noticed the following behaviour.
>
> In Felix (4.0.2), after adding my OBR URL, I type "obr:deploy my-bundle".
>
> On the OBR, I have 2 versions available of this bundle:
> - 1.0.7
> - 1.0.7-SNAPSHOT
>
> By default, Felix deploys the SNAPSHOT version. Is this an expected behaviour?
>
> I know I can force the use of a given version, but I was surprise by the default behaviour.
>
> Moreover, if my-bundle depends on a "my-bundle2" bundle, that itself is available in
SNAPSHOT and final versions, the SNAPSHOT is chosen by default...
>
> Thanks for your help,
>
> Kind regards,
>
> Ben
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
> For additional commands, e-mail: users-help@felix.apache.org
>


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
For additional commands, e-mail: users-help@felix.apache.org


Mime
View raw message